Page MenuHomeFreeBSD

route(8): clarify -prefixlen description
ClosedPublic

Authored by ngie on Mar 22 2017, 1:32 AM.

Details

Summary

route(8): clarify -prefixlen description

Try to reword -prefixlen section to more clearly and accurately describe
how the -prefixlen modifier works.

While here, fix a word that igor considered a typo: aggregatable addresses
is a valid technical term per RFC-2374, but it was superseded by the
technical term "aggregator" in RFC-3587.

(I couldn't figure out where in the code the -prefixlen 64/aggregator part
was enforced, only the number 128, for the max prefixlen. I could use some
help tracking down where the value, 64, is enforced.)

MFC after: 1 week

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ngie created this revision.Mar 22 2017, 1:32 AM
ngie retitled this revision from route(8): clarify wording describing -prefixlen to route(8): clarify -prefixlen description.Mar 22 2017, 1:33 AM
ngie edited the summary of this revision. (Show Details)
hrs added a comment.Mar 22 2017, 5:45 AM

The 64-bit default prefixlen was removed at rev.277241. I did not notice it but I do not think it is a correct change because it has several bad side-effects. I will take a look at route.c by this weekend.

For the sentence describing the default prefix length, "aggregator addresses" is a bit odd. The intent of the original sentence was "64 is the default value because the aggregatable GUA structure in RFC 2374 assumes 64-bit prefix length for an IPv6 GUA on a single link". "aggregator" is a field of an IPv6 address and "aggregatable address" is a name of the IPv6 address structure itself. These two are different from each other. However, the concept of aggregatable address is now obsolete by RFC 3587 as you pointed out. "aggregator" is also an obsolete term now. So if we really want to clarify it, I would say "the default prefixlen is 64 because IPv6 unicast addresses except those that start with binary value 000 usually have interface IDs that are 64 bit long." Or just dropping "for aggregator addresses" in the proposed sentence also works.

ngie updated this revision to Diff 26525.Mar 22 2017, 6:03 AM

Follow up to finding from hrs

Remove "aggregator address" and instead state that the prefixlen is 64
when the destination argument isn't default.

ngie added a comment.Mar 22 2017, 6:04 AM
In D10087#208586, @hrs wrote:

The 64-bit default prefixlen was removed at rev.277241. I did not notice it but I do not think it is a correct change because it has several bad side-effects. I will take a look at route.c by this weekend.

For the sentence describing the default prefix length, "aggregator addresses" is a bit odd. The intent of the original sentence was "64 is the default value because the aggregatable GUA structure in RFC 2374 assumes 64-bit prefix length for an IPv6 GUA on a single link". "aggregator" is a field of an IPv6 address and "aggregatable address" is a name of the IPv6 address structure itself. These two are different from each other. However, the concept of aggregatable address is now obsolete by RFC 3587 as you pointed out. "aggregator" is also an obsolete term now. So if we really want to clarify it, I would say "the default prefixlen is 64 because IPv6 unicast addresses except those that start with binary value 000 usually have interface IDs that are 64 bit long." Or just dropping "for aggregator addresses" in the proposed sentence also works.

Thank you very much for the in-depth description. I'm glad I brought this to the expert's attention :).

ngie added a comment.Mar 27 2017, 7:23 PM

Ping (is there anything I can do to improve this further)?

ngie added a comment.May 5 2017, 5:24 AM

Ping-ping?

wblock added a subscriber: wblock.Jul 7 2017, 4:28 PM
wblock added inline comments.
sbin/route/route.8
296 ↗(On Diff #26525)

Please start new sentences on new lines.

ngie marked an inline comment as done.
ngie added inline comments.
sbin/route/route.8
296 ↗(On Diff #26525)

Thanks for the feedback -- will do!

ngie updated this revision to Diff 52264.Dec 23 2018, 8:20 PM
ngie marked an inline comment as done.

Updating per feedback from @wblock.

ngie edited the summary of this revision. (Show Details)Dec 27 2018, 8:42 AM
ngie added a comment.Dec 29 2018, 7:51 PM

@wblock: could you please re-review this change?

0mp accepted this revision.Dec 29 2018, 8:21 PM
0mp added a reviewer: docs.
0mp added a subscriber: 0mp.

I believe it looks fine from the mdoc(7) point of view.

This revision is now accepted and ready to land.Dec 29 2018, 8:21 PM
ngie added a comment.Jan 6 2019, 8:38 PM

@emaste/@jtl: can you please review/approve this diff?

crees accepted this revision as: docs.Jan 6 2019, 9:13 PM

Docs approval not necessarily needed, but given for a green tick there.

emaste accepted this revision.Jan 7 2019, 6:37 PM

Approved by: emaste

This revision was automatically updated to reflect the committed changes.